tvbrowser.ui.settings

## Class SettingsDialog

- java.lang.Object
- - tvbrowser.ui.settings.SettingsDialog

- All Implemented Interfaces:
    WindowClosingIf

      public class SettingsDialog
      extends java.lang.Object
      implements WindowClosingIf

  Author:
    Til Schneider, www.murfman.de

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SettingsDialog(java.awt.Window parent, java.lang.String selectedTabId)` Creates a new instance of SettingsDialog.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `centerAndShow()`
    `void` | `close()` The closing method.
    `void` | `createPluginTreeItems()` Removes all Items from the PluginSettingsNode and recreates the Child Nodes
    `javax.swing.JDialog` | `getDialog()` Returns the current Dialog
    `static SettingsDialog` | `getInstance()`
    `javax.swing.JRootPane` | `getRootPane()`
    `(package private) void` | `invalidateTree()`
    `(package private) void` | `saveSettings()`
    `protected void` | `saveSettingsTab()`
    `void` | `showSettingsTab(java.lang.String id)` Show SettingsTab with specific ID

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SettingsDialog

          public SettingsDialog(java.awt.Window parent,
                        java.lang.String selectedTabId)

      Creates a new instance of SettingsDialog.

  - ### Method Detail

    - #### saveSettingsTab

          protected void saveSettingsTab()

    - #### invalidateTree

          void invalidateTree()

    - #### centerAndShow

          public void centerAndShow()

    - #### createPluginTreeItems

          public void createPluginTreeItems()

      Removes all Items from the PluginSettingsNode and recreates the Child Nodes

    - #### getDialog

          public javax.swing.JDialog getDialog()

      Returns the current Dialog
      Returns:
        Dialog

    - #### saveSettings

          void saveSettings()

    - #### close

          public void close()

      Description copied from interface: `WindowClosingIf`
      The closing method.
      Specified by:
        `close` in interface `WindowClosingIf`

    - #### getRootPane

          public javax.swing.JRootPane getRootPane()

      Specified by:
        `getRootPane` in interface `WindowClosingIf`
      Returns:
        The RootPane to register the Escape key action with.

    - #### showSettingsTab

          public void showSettingsTab(java.lang.String id)

      Show SettingsTab with specific ID
      Parameters:
        `id` - ID to show (see devplugin.SettingsItem)

    - #### getInstance

          public static SettingsDialog getInstance()

      Returns:
        Instance of this Dialog

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)